com.beaglebuddy.id3.v24.frame_body

## Enum ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint

- java.lang.Object
- - java.lang.Enum<ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint>
  - - com.beaglebuddy.id3.v24.frame_body.ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint>
  Enclosing class:
    ID3v24FrameBodyAudioSeekPointIndex

      public static enum ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint
      extends java.lang.Enum<ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint>

  valid ID3v2.4 bits per index point values

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIZE_16_BITS` 16 bits
    `SIZE_8_BITS` 8 bits

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint` | `getBitsPerIndexPoint(int bitsPerIndexPoint)` convert an integral value to its corresponding enum.
    `java.lang.String` | `toString()`
    `static ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIZE_8_BITS

          public static final ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint SIZE_8_BITS

      8 bits

    - #### SIZE_16_BITS

          public static final ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint SIZE_16_BITS

      16 bits

  - ### Method Detail

    - #### values

          public static ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint c : ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint>`
      Returns:
        a string representation of the BitsPerIndexPoint

    - #### getBitsPerIndexPoint

          public static ID3v24FrameBodyAudioSeekPointIndex.BitsPerIndexPoint getBitsPerIndexPoint(int bitsPerIndexPoint)

      convert an integral value to its corresponding enum.
      Parameters:
        `bitsPerIndexPoint` - the integral value that is to be converted to a BitsPerIndexPoint enum.
      Returns:
        the BitsPerIndexPoint enum whose ordinal value corresponds to the given integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if there is no BitsPerIndexPoint enum whose ordinal value corresponds to the given integral value.